using System;

namespace WinAppCalculator
{
	public class Calculator
	{
		// Datenwerte, fields

		double a;
		double b;
		double c;
		char opcode;

		// Set- Get operations = properties

		public double OpA
		{
			get {return a;}
			set {a = value;}
		}

		public double OpB
		{
			get {return b;}
			set {b = value;}
		}

		public Calculator()
		{
			Console.WriteLine("Constructor passed");
		}

		// Methoden (methods)

		public void Add()
		{
			c = a + b;
			opcode = '+';
		}

		public void Subtract()
		{
			c = a - b;
			opcode = '-';
		}

		public void Multiply()
		{
			c = a * b;
			opcode = '*';
		}

		public void Divide()
		{
			c = a / b;
			opcode = '/';
		}

		public string ResultText()
		{
			return String.Format("{0,5:f3} {1} {2,5:f3} = {3,5:f3}", a, opcode, b, c);
		}

	}	// end class
}	// end namespace
