using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Diagnostics;
using System.Globalization;

namespace WinAppCalculator
{
	public class FormMain : System.Windows.Forms.Form
	{
		Calculator calculator;	

		private System.Windows.Forms.Label lblResult;
		private System.Windows.Forms.Button btnAdd;
		private System.Windows.Forms.Button btnSub;
		private System.Windows.Forms.Button btnMult;
		private System.Windows.Forms.Button btnDiv;
		private System.Windows.Forms.Label lblOp1;
		private System.Windows.Forms.Label lblOp2;
		private System.Windows.Forms.TextBox editOp1;
		private System.Windows.Forms.TextBox editOp2;
		private System.ComponentModel.Container components = null;

		public FormMain()
		{
			InitializeComponent();
			Debug.WriteLine("Constructor passed");
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.lblResult = new System.Windows.Forms.Label();
			this.btnAdd = new System.Windows.Forms.Button();
			this.btnSub = new System.Windows.Forms.Button();
			this.btnMult = new System.Windows.Forms.Button();
			this.btnDiv = new System.Windows.Forms.Button();
			this.lblOp1 = new System.Windows.Forms.Label();
			this.lblOp2 = new System.Windows.Forms.Label();
			this.editOp1 = new System.Windows.Forms.TextBox();
			this.editOp2 = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// lblResult
			// 
			this.lblResult.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.lblResult.Location = new System.Drawing.Point(8, 80);
			this.lblResult.Name = "lblResult";
			this.lblResult.Size = new System.Drawing.Size(280, 24);
			this.lblResult.TabIndex = 0;
			this.lblResult.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnAdd
			// 
			this.btnAdd.Location = new System.Drawing.Point(8, 48);
			this.btnAdd.Name = "btnAdd";
			this.btnAdd.Size = new System.Drawing.Size(56, 24);
			this.btnAdd.TabIndex = 1;
			this.btnAdd.Text = "Add (+)";
			this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
			// 
			// btnSub
			// 
			this.btnSub.Location = new System.Drawing.Point(80, 47);
			this.btnSub.Name = "btnSub";
			this.btnSub.Size = new System.Drawing.Size(56, 24);
			this.btnSub.TabIndex = 2;
			this.btnSub.Text = "Sub (-)";
			this.btnSub.Click += new System.EventHandler(this.btnSub_Click);
			// 
			// btnMult
			// 
			this.btnMult.Location = new System.Drawing.Point(152, 47);
			this.btnMult.Name = "btnMult";
			this.btnMult.Size = new System.Drawing.Size(56, 24);
			this.btnMult.TabIndex = 3;
			this.btnMult.Text = "Mult (*)";
			this.btnMult.Click += new System.EventHandler(this.btnMult_Click);
			// 
			// btnDiv
			// 
			this.btnDiv.Location = new System.Drawing.Point(231, 47);
			this.btnDiv.Name = "btnDiv";
			this.btnDiv.Size = new System.Drawing.Size(56, 24);
			this.btnDiv.TabIndex = 4;
			this.btnDiv.Text = "Div (/)";
			this.btnDiv.Click += new System.EventHandler(this.btnDiv_Click);
			// 
			// lblOp1
			// 
			this.lblOp1.Location = new System.Drawing.Point(8, 8);
			this.lblOp1.Name = "lblOp1";
			this.lblOp1.Size = new System.Drawing.Size(40, 24);
			this.lblOp1.TabIndex = 5;
			this.lblOp1.Text = "Op1:";
			this.lblOp1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblOp2
			// 
			this.lblOp2.Location = new System.Drawing.Point(152, 8);
			this.lblOp2.Name = "lblOp2";
			this.lblOp2.Size = new System.Drawing.Size(40, 24);
			this.lblOp2.TabIndex = 5;
			this.lblOp2.Text = "Op2:";
			this.lblOp2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// editOp1
			// 
			this.editOp1.Location = new System.Drawing.Point(56, 8);
			this.editOp1.Name = "editOp1";
			this.editOp1.Size = new System.Drawing.Size(80, 20);
			this.editOp1.TabIndex = 6;
			this.editOp1.Text = "1,0";
			this.editOp1.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.editOp1.Validating += new System.ComponentModel.CancelEventHandler(this.editOp1_Validating);
			// 
			// editOp2
			// 
			this.editOp2.Location = new System.Drawing.Point(204, 8);
			this.editOp2.Name = "editOp2";
			this.editOp2.Size = new System.Drawing.Size(80, 20);
			this.editOp2.TabIndex = 6;
			this.editOp2.Text = "1,0";
			this.editOp2.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.editOp2.Validating += new System.ComponentModel.CancelEventHandler(this.editOp2_Validating);
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 117);
			this.Controls.Add(this.editOp1);
			this.Controls.Add(this.lblOp1);
			this.Controls.Add(this.btnDiv);
			this.Controls.Add(this.btnMult);
			this.Controls.Add(this.btnSub);
			this.Controls.Add(this.btnAdd);
			this.Controls.Add(this.lblResult);
			this.Controls.Add(this.lblOp2);
			this.Controls.Add(this.editOp2);
			this.Name = "FormMain";
			this.Text = "Calculator";
			this.Load += new System.EventHandler(this.FormMain_Load);
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread]
		static void Main() 
		{
			Application.Run(new FormMain());
		}

		private void FormMain_Load(object sender, System.EventArgs e)
		{
			Debug.WriteLine("Load passed");
			calculator = new Calculator();
			calculator.OpA = 1.0;
			calculator.OpB = 1.0;
		}

		private void btnAdd_Click(object sender, System.EventArgs e)
		{
			calculator.Add();
			lblResult.Text = calculator.ResultText();		
		}

		private void btnSub_Click(object sender, System.EventArgs e)
		{
			calculator.Subtract();
			lblResult.Text = calculator.ResultText();	
		}

		private void btnMult_Click(object sender, System.EventArgs e)
		{
			calculator.Multiply();
			lblResult.Text = calculator.ResultText();
		}

		private void btnDiv_Click(object sender, System.EventArgs e)
		{
			calculator.Divide();
			lblResult.Text = calculator.ResultText();
		}


		private void editOp1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			double newDouble;
			if (double.TryParse(editOp1.Text, NumberStyles.Float, NumberFormatInfo.CurrentInfo, out newDouble))
			{
				calculator.OpA = newDouble;
			}
			else
			{
				e.Cancel = true;	// cancel validating -> go back to control
				MessageBox.Show("Enter a number!", "Error");
			}		
		}

		private void editOp2_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			double newDouble;
			if (double.TryParse(editOp2.Text, NumberStyles.Float, NumberFormatInfo.CurrentInfo, out newDouble))
			{
				calculator.OpB = newDouble;
			}
			else
			{
				e.Cancel = true;	// cancel validating -> go back to control
				MessageBox.Show("Enter a number!", "Error");
			}		
		}

	}
}
