using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace WinAppFirst
{
	public class FormMain : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label lblInput;
		private System.Windows.Forms.TextBox editInput;
		private System.Windows.Forms.Label lblOutput;
		private System.Windows.Forms.Button btnCopy;
		private System.ComponentModel.Container components = null;

		public FormMain()
		{
			InitializeComponent();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.lblInput = new System.Windows.Forms.Label();
			this.editInput = new System.Windows.Forms.TextBox();
			this.lblOutput = new System.Windows.Forms.Label();
			this.btnCopy = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// lblInput
			// 
			this.lblInput.Location = new System.Drawing.Point(8, 8);
			this.lblInput.Name = "lblInput";
			this.lblInput.Size = new System.Drawing.Size(56, 24);
			this.lblInput.TabIndex = 0;
			this.lblInput.Text = "Input:";
			this.lblInput.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// editInput
			// 
			this.editInput.Location = new System.Drawing.Point(72, 9);
			this.editInput.Name = "editInput";
			this.editInput.Size = new System.Drawing.Size(152, 20);
			this.editInput.TabIndex = 1;
			this.editInput.Text = "";
			// 
			// lblOutput
			// 
			this.lblOutput.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.lblOutput.Location = new System.Drawing.Point(8, 45);
			this.lblOutput.Name = "lblOutput";
			this.lblOutput.Size = new System.Drawing.Size(216, 24);
			this.lblOutput.TabIndex = 2;
			this.lblOutput.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnCopy
			// 
			this.btnCopy.Location = new System.Drawing.Point(8, 81);
			this.btnCopy.Name = "btnCopy";
			this.btnCopy.Size = new System.Drawing.Size(80, 24);
			this.btnCopy.TabIndex = 3;
			this.btnCopy.Text = "Copy";
			this.btnCopy.Click += new System.EventHandler(this.btnCopy_Click);
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(232, 117);
			this.Controls.Add(this.btnCopy);
			this.Controls.Add(this.lblOutput);
			this.Controls.Add(this.editInput);
			this.Controls.Add(this.lblInput);
			this.Name = "FormMain";
			this.Text = "First Windows Application";
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread] static void Main() 
		{
			Application.Run(new FormMain());
		}

		
		private void btnCopy_Click(object sender, System.EventArgs e)
		{
			lblOutput.Text = editInput.Text;
		}
	}
}
